# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.592   -> 1.593  
#	drivers/usb/media/stv680.c	1.13    -> 1.14   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/05/22	greg@kroah.com	1.593
# USB stv680, remove urb->next usage
# 
# Removed the use of the next field due to the change in the urb structure.
# --------------------------------------------
#
diff -Nru a/drivers/usb/media/stv680.c b/drivers/usb/media/stv680.c
--- a/drivers/usb/media/stv680.c	Wed May 22 13:52:06 2002
+++ b/drivers/usb/media/stv680.c	Wed May 22 13:52:06 2002
@@ -799,7 +799,6 @@
 
 	for (i = 0; i < STV680_NUMSBUF; i++)
 		if (stv680->urb[i]) {
-			stv680->urb[i]->next = NULL;
 			usb_unlink_urb (stv680->urb[i]);
 			usb_free_urb (stv680->urb[i]);
 			stv680->urb[i] = NULL;
@@ -1516,7 +1515,6 @@
 
 	for (i = 0; i < STV680_NUMSBUF; i++)
 		if (stv680->urb[i]) {
-			stv680->urb[i]->next = NULL;
 			usb_unlink_urb (stv680->urb[i]);
 			usb_free_urb (stv680->urb[i]);
 			stv680->urb[i] = NULL;
